/*
 * config.h
 *
 *  Created on: 16 мар. 2017 г.
 *      Author: Svetozar
 */

#ifndef CONFIG_H_
#define CONFIG_H_

#include "logs_config.h"

#define POS_PC1000_SIMULATOR

#define LOG_PRINTF_BUFSIZE 100000
#define LOG_PRINTF_USING_MALLOC

#define NETWORK_SYS_RESHANDLER_TIMEOUT 60000
#define NETWORK_WAIT_SIGNAL_TIMEOUT 30000
#define NETWORK_DIAL_TIMEOUT 10000

#define JSON_GEN_DOUBLE_NOT_DIRECTLY

#define ELPAY_TERMINAL_OPN_TIMEOUT 10000
#define ELPAY_TERMINAL_RCV_TIMEOUT 60000

#define ELPAY_TERMINAL_SOCKET_READ_BUFLEN 1360
#define ELPAY_TERMINAL_RECEIVE_REPEATCOUNT 4

#define ELPAY_OPLIST_MAX_ITEMS_COUNT 3

#include "ports/std.h"

#endif /* CONFIG_H_ */
